Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 595808 - potential lock inversion deadlock in vma_adjust
potential lock inversion deadlock in vma_adjust
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-25 12:33 EDT by Andrea Arcangeli
Modified: 2013-01-09 17:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 09:26:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrea Arcangeli 2010-05-25 12:33:12 EDT
While reading the backout-anon-vma diff to compare 2.6.32 with rhel6 anon-vma code, I noticed a regression in vma_adjust.
Comment 1 Andrea Arcangeli 2010-05-25 12:42:56 EDT
fix posted on rhkernel-list

Message-ID: <20100525164236.GC28052@random.random>
Comment 4 Aristeu Rozanski 2010-05-28 16:38:56 EDT
Patch(es) available on kernel-2.6.32-31.el6
Comment 8 releng-rhel@redhat.com 2010-11-15 09:26:34 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.